HWID Bans

HWID ban management endpoints

List all HWID bans

get
Authorizations
AuthorizationstringRequired

API Key with rest-api:* scope

Query parameters
limitinteger · min: 1 · max: 500OptionalDefault: 100
offsetintegerOptionalDefault: 0
Responses
chevron-right
200

List of HWID bans

application/json
totalintegerOptional
limitintegerOptional
offsetintegerOptional
get
/hwid-bans
200

List of HWID bans

Ban a HWID

post
Authorizations
AuthorizationstringRequired

API Key with rest-api:* scope

Body
hwidstring · min: 3 · max: 128Required
reasonstring · max: 255Optional
expires_atstring · date-timeOptional

ISO 8601 datetime for temporary ban, null for permanent

invalidate_keysbooleanOptional

Also invalidate all keys with this HWID

Default: false
Responses
chevron-right
200

HWID banned

application/json
keys_invalidatedbooleanOptional
post
/hwid-bans
200

HWID banned

Get a specific HWID ban

get
Authorizations
AuthorizationstringRequired

API Key with rest-api:* scope

Path parameters
banIdintegerRequired
Responses
chevron-right
200

HWID ban details

application/json
get
/hwid-bans/{banId}

Update a HWID ban

put
Authorizations
AuthorizationstringRequired

API Key with rest-api:* scope

Path parameters
banIdintegerRequired
Body
hwidstring · min: 3 · max: 128Optional

Change the banned HWID

reasonstring · max: 255Optional
expires_atstring · date-time · nullableOptional

Set to null to make permanent

Responses
chevron-right
200

HWID ban updated

application/json
put
/hwid-bans/{banId}

Unban a HWID by ban ID

delete
Authorizations
AuthorizationstringRequired

API Key with rest-api:* scope

Path parameters
banIdintegerRequired
Responses
chevron-right
200

HWID unbanned

application/json
successbooleanOptional
unbanned_hwidstringOptional
delete
/hwid-bans/{banId}

Unban a HWID by HWID value

delete
Authorizations
AuthorizationstringRequired

API Key with rest-api:* scope

Path parameters
hwidstringRequired
Responses
chevron-right
200

HWID unbanned

application/json
successbooleanOptional
unbanned_hwidstringOptional
delete
/hwid-bans/by-hwid/{hwid}

Check if a HWID is banned

get
Authorizations
AuthorizationstringRequired

API Key with rest-api:* scope

Path parameters
hwidstringRequired
Responses
chevron-right
200

Ban status

application/json
is_bannedbooleanOptional
hwidstringOptional
get
/hwid-bans/check/{hwid}
200

Ban status

Last updated